## org.hibernate.cfg
Class ClassPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.ClassPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class ClassPropertyHolder

extends AbstractPropertyHolder

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`ClassPropertyHolder(PersistentClass persistentClass, org.hibernate.annotations.common.reflection.XClass clazzToProcess, EntityBinder entityBinder, Mappings mappings, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)`
`ClassPropertyHolder(PersistentClass persistentClass, org.hibernate.annotations.common.reflection.XClass clazzToProcess, Map<String,Join> joins, Mappings mappings, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)`

Method Summary
`Join` `addJoin(JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` `addProperty(Property prop, Ejb3Column[] columns, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`void` `addProperty(Property prop, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`String` `getClassName()`
`String` `getEntityName()`
`String` `getEntityOwnerClassName()`
`KeyValue` `getIdentifier()`
`PersistentClass` `getPersistentClass()`
`Table` `getTable()`
`boolean` `isComponent()`
`boolean` `isEntity()`
`boolean` `isOrWithinEmbeddedId()` Return true if this component is or is embedded in a @EmbeddedId

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getJoinTable, getMappings, getOverriddenColumn, getOverriddenJoinColumn, getOverriddenJoinTable, getPath, isInIdClass, setCurrentProperty, setInIdClass, setParentProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPropertyHolder

    public ClassPropertyHolder(PersistentClass persistentClass,
                               org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                               Map<String,Join> joins,
                               Mappings mappings,
                               Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)

### ClassPropertyHolder

    public ClassPropertyHolder(PersistentClass persistentClass,
                               org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                               EntityBinder entityBinder,
                               Mappings mappings,
                               Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)

Method Detail

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(Property prop,
                            Ejb3Column[] columns,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### addProperty

    public void addProperty(Property prop,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### addJoin

    public Join addJoin(JoinTable joinTableAnn,
                        boolean noDelayInPkColumnCreation)

### getClassName

    public String getClassName()

### getEntityOwnerClassName

    public String getEntityOwnerClassName()

### getTable

    public Table getTable()

### isComponent

    public boolean isComponent()

### isEntity

    public boolean isEntity()

### getPersistentClass

    public PersistentClass getPersistentClass()

### getIdentifier

    public KeyValue getIdentifier()

### isOrWithinEmbeddedId

    public boolean isOrWithinEmbeddedId()

  Description copied from interface: `PropertyHolder`
  Return true if this component is or is embedded in a @EmbeddedId

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.